ScalaCompileOptions (Gradle API 2.10)
Date: 2015-12-21

org.gradle.api.tasks.scala

## Class ScalaCompileOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.language.scala.tasks.BaseScalaCompileOptions
    - - org.gradle.api.tasks.scala.ScalaCompileOptions

- All Implemented Interfaces:
    Serializable

      public class ScalaCompileOptions
      extends BaseScalaCompileOptions

  Options for Scala compilation, including the use of the Ant-backed compiler.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalaCompileOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `protected String` | `getAntPropertyName(String fieldName)`
    `protected Object` | `getAntPropertyValue(String fieldName, Object value)`
    `String` | `getDaemonServer()` Server (host:port) on which the compile daemon is running.
    `boolean` | `isFork()` Whether to run the Scala compiler in a separate process.
    `boolean` | `isUseAnt()` Tells whether to use Ant for compilation.
    `boolean` | `isUseCompileDaemon()` Whether to use the fsc compile daemon.
    `void` | `setDaemonServer(String daemonServer)`
    `void` | `setFork(boolean fork)`
    `void` | `setUseAnt(boolean useAnt)`
    `void` | `setUseCompileDaemon(boolean useCompileDaemon)`

    - ### Methods inherited from class org.gradle.language.scala.tasks.BaseScalaCompileOptions

      `getAdditionalParameters, getDebugLevel, getEncoding, getForce, getForkOptions, getIncrementalOptions, getLoggingLevel, getLoggingPhases, isDeprecation, isFailOnError, isListFiles, isOptimize, isUnchecked, setAdditionalParameters, setDebugLevel, setDeprecation, setEncoding, setFailOnError, setForce, setForkOptions, setIncrementalOptions, setListFiles, setLoggingLevel, setLoggingPhases, setOptimize, setUnchecked`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaCompileOptions

          public ScalaCompileOptions()

  - ### Method Detail

    - #### isUseAnt

          public boolean isUseAnt()

      Tells whether to use Ant for compilation. If `true`, the standard Ant scalac (or fsc) task will be used for Scala and Java joint compilation. If `false`, the Zinc incremental compiler will be used instead. The latter can be significantly faster, especially if there are few source code changes between compiler runs. Defaults to `true`.

    - #### setUseAnt

          public void setUseAnt(boolean useAnt)

    - #### isFork

          public boolean isFork()

      Whether to run the Scala compiler in a separate process. Defaults to `false` for the Ant based compiler (`useAnt = true`), and to `true` for the Zinc based compiler (`useAnt = false`).

    - #### setFork

          public void setFork(boolean fork)

    - #### isUseCompileDaemon

          public boolean isUseCompileDaemon()

      Whether to use the fsc compile daemon.

    - #### setUseCompileDaemon

          public void setUseCompileDaemon(boolean useCompileDaemon)

    - #### getDaemonServer

          public String getDaemonServer()

      Server (host:port) on which the compile daemon is running. The host must share disk access with the client process. If not specified, launches the daemon on the localhost. This parameter can only be specified if useCompileDaemon is true.

    - #### setDaemonServer

          public void setDaemonServer(String daemonServer)

    - #### excludeFromAntProperties

          protected boolean excludeFromAntProperties(String fieldName)

      Overrides:
        `excludeFromAntProperties` in class `AbstractOptions`

    - #### getAntPropertyName

          protected String getAntPropertyName(String fieldName)

      Overrides:
        `getAntPropertyName` in class `AbstractOptions`

    - #### getAntPropertyValue

          protected Object getAntPropertyValue(String fieldName,
                                   Object value)

      Overrides:
        `getAntPropertyValue` in class `AbstractOptions`